  ---
html:
  toc: true
  offline: true
export_on_save:
  html: true
---
# One Hot Encoding Operator
---
## Operator 설명
  - 문자형 데이터인 범주형 데이터를 기계가 인식할 수 있는 형태로 바꿔준다. 모든 범주형 변수를 정수인 1과 0의 이진형 벡터로 표시하며 범주형 변수를 열거하여 해당하지 않는 항목은 0으로 해당하는 항목은 1로 표시하는 것이다.



## Operator 파라미터 설명
- selectedColumnName: 선택할 column ID (required)
## Operator 모듈 테스트 결과

### 입력 데이터

|data1|  data2|
|:---:|:---:|
|    0|  apple|
|    1| banana|
|    2|coconut|
|    1| banana|
|    2|coconut|



### 결과 데이터

|index|data1|  data2|data2Index|     data2Vec|
|:---:|:---:|:---:|:---:|:---:|
|    1|    0|  apple|       2.0|    (2,[],[])|   
|    2|    1| banana|       0.0|(2,[0],[1.0])|
|    3|    2|coconut|       1.0|(2,[1],[1.0])|
|    4|    1| banana|       0.0|(2,[0],[1.0])|
|    5|    2|coconut|       1.0|(2,[1],[1.0])|

- 보류
