---
html:
  toc: true
  offline: true
export_on_save:
  html: true
---
# Transpose Operator
---
## Operator 설명
-  column을 row와 전치하여 새로운 DataFrame을 생성한다.
## Operator 파라미터 설명
- selectedColumnName: 전치할 column의 이름 (required)
## Operator 모듈 테스트 결과

### 입력 데이터
Data1|Data2
|:---:|:---:|
|1|11|
|2|12|
|3|13|
|4|14|
|5|15|
|6|16|
|7|17|
|8|18|
|9|19|
|10|20|

### 결과 데이터

|   1|   2|   3|   4|   5|   6|   7|   8|   9|   10|
|:---:|:---:|:---:|:---:|:---:|:---:|:---:|:---:|:---:|:---:|
|11|12|13|14|15|16|17|18|19|20|

- 입력 DataFrame의 column과 row가 전치된 결과 DataFrame을 확인할 수 있다.
