<%@page import="java.util.Date"%>
<%@ page language="java" contentType="text/html; charset=UTF-8"
    pageEncoding="UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<%@ taglib prefix="ui" uri="http://egovframework.gov/ctl/ui" %>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions" %>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt" %>
<%@ taglib prefix="spring" uri="http://www.springframework.org/tags" %>
<%@ taglib prefix="tiles" uri="http://tiles.apache.org/tags-tiles" %>
<%@ taglib prefix="util" uri="/WEB-INF/tlds/gonet-util.tld" %>
<%
response.setHeader("Cache-Control","no-cache");
response.setHeader("Pragma","no-cache");
response.setDateHeader("Expires",-1);
%>
<!DOCTYPE html>
<html lang="ko">
<head>
<meta charset="utf-8" />
<meta http-equiv="X-UA-Compatible" content="IE=edge" />
<meta name="viewport" content="width=1280,maximum-scale=2.0,user-scalable=yes" />
<meta name="format-detection" content="email=no,address=no" />
<meta name="title" content="KSB 인공지능 프레임워크" />
<meta name="keywords" content="KSB 인공지능 프레임워크" />
<meta name="description" content="KSB 인공지능 프레임워크" />
<meta name="copyright" content="Copyright @ 2017 KSB - CSLE All rights reserved." />
<meta name="robots" content="noindex,follow"/>
<title>KSB 인공지능 프레임워크</title>
<link rel="shortcut icon" type="image/x-icon" href="${pageContext.request.contextPath}/images/common/favicon.ico" />
<link rel="apple-touch-icon" href="${pageContext.request.contextPath}/images/common/favicon.png" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/css/common.css" media="all" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/css/layout.css" media="all" />
<link rel="stylesheet" href="${pageContext.request.contextPath}/css/main.css?update=20181122" media="all" />
<script >
/* js의 contextpath 적용 */
var contextPath = "${pageContext.request.contextPath}";
var siteCode = "${siteCode}";

<%-- window.open("${pageContext.request.contextPath}/popup.jsp",'rsv', 'status=no, resizeable=no, scrollbars=yes, width=500, height=200'); --%>
</script>
<script src="${pageContext.request.contextPath}/js/js.js"></script>
<!--[if lt IE 9]>
	<script src="${pageContext.request.contextPath}/js/core/html5.js"></script>
	<script src="${pageContext.request.contextPath}/js/core/respond.min.js"></script>
<![endif]-->
<script>
$(window).load(function() {
	$(".intro > .layout >*").each(function(i) {
		$(".intro > .layout > *").eq(i).stop().delay(500*i).animate({"opacity":1,"top":0},1200,"easeOutQuart");		
	});
});
</script>

<style >
#popup_content{position: absolute;}
@media screen and (max-width: 1000px){
#popup_content{ position:initial; display:block; }
}
</style>
<link rel='stylesheet' href='${pageContext.request.contextPath}/css/prog/popup.css' type='text/css' />

<script >
function close_layer(num){
	$('#'+num).css('display','none');
	//쿠키굽기
	setCookie(num, 'done' , 1); 
}
function close_layer2(num){
	$('#'+num).css('display','none');
}
function link_target(url,target){
	if(target=='_blank'){
		window.open(url);
	}else if(target=='_self'){
		location.href=url;
	}else{
		opener.location.href=url;
	}
}
function setCookie( name, value, expirehours ) { 
	var todayDate = new Date(); 
	todayDate.setHours( todayDate.getHours() + expirehours ); 
	document.cookie = name + "=" + escape( value ) + "; path=/; expires=" + todayDate.toGMTString() + ";"
	console.log(document.cookie);
}
// function getCookie(name) { 
// 	var arg = name + "="; 
// 	var alen = arg.length; 
// 	var clen = document.cookie.length; 
// 	var i = 0; while(i< clen){
// 		var j = i + alen; 
// 		if(document.cookie.substring(i,j)==arg)
// 			{
// 			var end = document.cookie.indexOf(";",j); 
// 			if(end == -1) end = document.cookie.length;
// 			return unescape(document.cookie.substring(j,end)); 
// 			} 
// 		i=document.cookie.indexOf(" ",i)+1; 
// 		if (i==0) break; 
// 	} 
// 	return null; 
// }
</script>

</head>
<body>

<jsp:include page="/tmpl/skin/popup/popup_skin.jsp">
	<jsp:param value="kor" name="siteCode" />
	<jsp:param value="main" name="mno" />
	<jsp:param value="popup" name="code" />
	<jsp:param value="462" name="width" />
	<jsp:param value="158" name="height" />
</jsp:include>

<!-- skip :S -->
<div id="skip">
	<strong class="hidden">반복영역 건너뛰기</strong>
	<ul>
		<li><a href="#contents">본문 바로가기</a></li>
		<li><a href="#gnb">주요메뉴 바로가기</a></li>
	</ul>
</div>
<!-- skip :E -->
<div id="wrap" class="main">
	<div class="js_mobile_check"></div>
	<!-- Header :S -->
	<jsp:include page="/tmpl/kor/header.jsp">
		<jsp:param value="kor" name="siteCode" />
		<jsp:param value="main" name="mno" />
	</jsp:include>
	<!-- Header :E -->
	<!-- Container :S -->
	<div id="container">
		<div id="contents">
			<div class="intro">
				<div class="layout">
					<h3>KSB 인공지능 프레임워크<span class="yelo">"비아이"</span></h3>	
					<p><span>IoT, 빅데이터, 기계학습 및 도메인 지식을 융합하여 </span><span>다양한 인공지능 서비스 구축에 필요한 공통 기능을 제공합니다.</span>
					<span class="mt_15">분산병렬 인프라를 기반으로 다양한 데이터 소스로부터 </span><span>도메인 응용서비스 제공까지의 전주기적 솔루션을 지향합니다.</span></p>	
					<div class="btn"><a href="${pageContext.request.contextPath}/kor/sub01_05.do">View More</a></div>
					<img src="../images/common/main_img.png" class="main_img" />
				</div>	
			</div>
			<div class="box_1">
				<div class="layout">
					<div class="board_tab">
						<h3>공지사항</h3>
						<ul>
							<jsp:include page="/tmpl/skin/notice/notice_skin_kor.jsp" >
								<jsp:param name="siteCode" value="${siteCode}" />
								<jsp:param name="code" value="BBSMSTR_000000000011" />
								<jsp:param name="mno" value="${mno}" />
								<jsp:param name="listCnt" value="5" />
								<jsp:param name="strLength" value="30" />
							</jsp:include>
						</ul>	
						<a href="${pageContext.request.contextPath}/cop/bbs/BBSMSTR_000000000011/selectBoardList.do" class="more_btn">더보기</a>
						<h3 class="hidden">공지사항, 게시판, 토론공간</h3>
					</div>
					<div class="popupzone">
						<h3 class="hidden">팝업존</h3>
						<div class="control">
						   <a href="#link" class="btn_left"><span class="hidden">이전</span></a>
						   <a href="#link" class="btn_right"><span class="hidden">다음</span></a>
						   <a href="#link" class="btn_stop"><span class="hidden">정지</span></a>
						   <a href="#link" class="btn_play"><span class="hidden">재생</span></a>
					   </div>
					   <div class="move">
						   <ul>
						   		<li><a href="${pageContext.request.contextPath}/${siteCode}/sub02_04.do"><img src="${pageContext.request.contextPath}/images/main/popupzone_img02.jpg" alt="KSB 인공지능 프레임워크 오픈소스 오픈소스 다운로드 바로가기" /></a></li>
						   		<%-- 
						   		<jsp:include page="/tmpl/skin/popupZone/popupZone_skin.jsp" >
									<jsp:param name="siteCode" value="${siteCode}" />
									<jsp:param name="code" value="popupZone" />
									<jsp:param name="mno" value="${mno}" />
								</jsp:include>
								 --%>
							</ul>
					   </div>
					</div>
				</div>
			</div>
			<div class="box_3">
				<div class="layout">
					<img src="${pageContext.request.contextPath}/images/main/main_img.jpg" alt="KSB 인공지능 프레임워크는 과학기술정보통신부에서 지원하는 국가과학기술연구회 주관의 미래선도형 융합연구단인 KSB융합연구단에서 개발한 결과물입니다. 1.사업명/과제명: 국가과학기술연구회 주관의 미래선도형 융합연구단 사업 / 자가학습형 지식융합 슈퍼브레인 핵심기술 개발  2. 수행기관: KSB융합연구단 (주관기관: 한국전자통신연구원, 협동기관: 한국에너지연구원, 한국원자력연구원, 한국표준과학연구원) "/>
				</div>	
			</div>
			
			<%-- 
			<div class="box_4">
				<div class="layout">
					<img src="${pageContext.request.contextPath}/images/contents/manual/images/1_introduction_main.png" alt="KSB 인공지능 프레임워크 개요" />	
				</div>	
			</div>
			 --%>
			<%-- 
			<div class="box_1">
				<div class="layout">
					<div class="board_tab">
						<h3>공지사항</h3>
						<ul>
							<jsp:include page="/tmpl/skin/notice/notice_skin_kor.jsp" >
								<jsp:param name="siteCode" value="${siteCode}" />
								<jsp:param name="code" value="BBSMSTR_000000000011" />
								<jsp:param name="mno" value="${mno}" />
								<jsp:param name="listCnt" value="5" />
								<jsp:param name="strLength" value="30" />
							</jsp:include>
							<%-- 
							<c:forEach items="${resultList}" var="result" begin="0" end="4">
							<li>
								<span class="subject">
								<a href="${pageContext.request.contextPath}/cop/bbs/${result.bbsId }/selectBoardArticle.do?nttId=${result.nttId}">
								<c:out value="${util:stripTagsAndLength(result.nttSj,100)}" />
								<c:if test="${util:compareToday(result.frstRegisterPnttm)>0 }"><img src="${pageContext.request.contextPath}/images/common/new_ico.png" alt="new" /></c:if>
								</a></span>
								<span class="date"><c:out value="${fn:replace(fn:substring(result.frstRegisterPnttm,0,10),'-','.')}" /></span>
							</li>
							</c:forEach>
							
							<c:if test="${fn:length(resultList)<5}">
							<c:forEach begin="${fn:length(resultList)}" end="${5-fn:length(resultList)}">
							<li>
								<span class="subject"><a href="#link"></a>&nbsp;</span>
								<span class="date">&nbsp;</span>
							</li>
							</c:forEach>
							</c:if>
							 
						</ul>	
						<a href="${pageContext.request.contextPath}/cop/bbs/BBSMSTR_000000000011/selectBoardList.do" class="more_btn">더보기</a>
						<%-- 
						<h3 class="hidden">공지사항, 게시판, 토론공간</h3>
						<ul>
							<li>
								<strong class="tab1"><a href="#">공지사항</a></strong>
								<ul>
									<c:forEach items="${resultList}" var="result" begin="0" end="4">
									<li>
										<span class="subject">
										<a href="${pageContext.request.contextPath}/cop/bbs/${result.bbsId }/selectBoardArticle.do?nttId=${result.nttId}">
										<c:out value="${util:stripTagsAndLength(result.nttSj,100)}" />
										<c:if test="${util:compareToday(result.frstRegisterPnttm)>0 }"><img src="${pageContext.request.contextPath}/images/common/new_ico.png" alt="new" /></c:if>
										</a></span>
										<span class="date"><c:out value="${fn:replace(fn:substring(result.frstRegisterPnttm,0,10),'-','.')}" /></span>
									</li>
									</c:forEach>
									<c:if test="${fn:length(resultList)<5}">
									<c:forEach begin="${fn:length(resultList)}" end="${5-fn:length(resultList)}">
									<li>
										<span class="subject"><a href="#link"></a>&nbsp;</span>
										<span class="date">&nbsp;</span>
									</li>
									</c:forEach>
									</c:if>
								</ul>
								<a href="${pageContext.request.contextPath}/cop/bbs/BBSMSTR_000000000011/selectBoardList.do" class="more_btn"><span class="hidden">공지사항 더보기</span></a>
							</li>
							<li>
								<strong class="tab2"><a href="#">게시판</a></strong>
								<ul>
									<li>
										<span class="subject"><a href="#link">게시판<img src="images/common/new_ico.png" alt="new" /></a></span>
										<span class="date">2017.07.03</span>
									</li>
								</ul>
								<a href="#link" class="more_btn"><span class="hidden">게시판 더보기</span></a>
							</li>
							<li>
								<strong class="tab3"><a href="#">토론공간</a></strong>
								<ul>
									<li>
										<span class="subject"><a href="#link">토론공간<img src="images/common/new_ico.png" alt="new" /></a></span>
										<span class="date">2017.07.03</span>
									</li>
								</ul>
								<a href="#link" class="more_btn"><span class="hidden">토론공간 더보기</span></a>
							</li>
						</ul>
						
					</div>
					<div class="popupzone">
						<h3 class="hidden">팝업존</h3>
						<div class="control">
						   <a href="#link" class="btn_left"><span class="hidden">이전</span></a>
						   <a href="#link" class="btn_right"><span class="hidden">다음</span></a>
						   <a href="#link" class="btn_stop"><span class="hidden">정지</span></a>
						   <a href="#link" class="btn_play"><span class="hidden">재생</span></a>
					   </div>
					   <div class="move">
						   <ul>
						   		<jsp:include page="/tmpl/skin/popupZone/popupZone_skin.jsp" >
									<jsp:param name="siteCode" value="${siteCode}" />
									<jsp:param name="code" value="popupZone" />
									<jsp:param name="mno" value="${mno}" />
								</jsp:include>
<%-- 								<li><a href="#link" target="_blank" title="새창이동"><img src="${pageContext.request.contextPath}/images/main/popupzone_img01.jpg" alt="자가학습엔진을 위한 Github 프로젝트" /></a></li>
							</ul>
					   </div>
					</div>
				</div>
			</div>	
			<div class="box_2">
				<div class="layout">
					<h3>CSLE 시작하기</h3>
					<a href="${pageContext.request.contextPath}/kor/sub01_02.do">Getting started</a>
				</div>
			</div>
			<div class="box_3">
				<div class="layout">
					<ul>
						<li class="bn01">
							<a href="${pageContext.request.contextPath}/kor/sub02_01.do">
								<p><strong>사용자 매뉴얼</strong><span>User manuals</span></p>
							</a>
						</li>
						<li class="bn02">
							<a href="${pageContext.request.contextPath}/cop/bbs/BBSMSTR_000000000021/selectBoardList.do">
								<p><strong>Q&amp;A 게시판</strong><span>Q&amp;A board</span></p>
							</a>
						</li>
						<li class="bn03">
							<a href="${pageContext.request.contextPath}/kor/sub02_02.do">
								<p><strong>예제 코드</strong><span>Sample code</span></p>
							</a>
						</li>
					</ul>
				</div>
			</div>
			--%>
		</div>
	</div>
	<!-- Container :E -->
	<!-- Footer :S -->
	<jsp:include page="/tmpl/skin/footer/footer_skin_kor_main.jsp"  />	
	<!-- Footer :E -->
	<div class="top_btn"><a href="#top"><span class="hidden">맨위로</span></a></div>	
</div>
</body>
</html>
